Create a VM
POST
Creates a VM from a project's latest build and starts it. The answer comes at once with the VM in queued or booting; poll GET /api/vms/{vmId} until state is running.
apiKeyheader
AuthorizationBearer <hmk_…>An API key from the dashboard or homemade api-key create.
application/json- body
branch?stringLength
1 <= length <= 250Default
"main"keepServicesRunning?booleanname?stringLength
length <= 50parameterValues?projectId*stringregion?stringValue in
"eu""us"size?stringValue in
"nano""tiny""small""medium""large"ticket?The VM was created and is starting.
application/json- response
vm*curl -X POST 'https://api.homemade.dev/api/vms' \ -H 'Content-Type: application/json' \ -d '{ "projectId": "string"}'Example Response
{ "vm": { "branch": "string", "createdAt": "2019-08-24T14:15:22Z", "diskGb": 0, "forkParentVmId": "string", "id": "string", "isPreview": true, "keepServicesRunning": true, "linearIssueIdentifier": "string", "linearIssueUrl": "string", "name": "string", "prNumber": 0, "projectId": "string", "ramMb": 0, "region": "eu", "size": "string", "sleepAfterMinutes": 0, "slug": "string", "state": "queued", "templateId": "string", "ticketProvider": "linear", "urls": { "property1": "string", "property2": "string" }, "vcpu": 0 }}